=== debian/changelog ===
percona-pgvector (0.8.0-1) unstable; urgency=medium

  * Update to new pgvector version 0.8.0

 -- root <root@377de2f71a74>  Fri, 16 May 2025 13:41:26 +0000

percona-pgvector (0.8.0-1) unstable; urgency=low
  * Initial Release.
 -- Muhammad Aqeel <muhammad.aqeel@percona.com>  Fri, 16 May 2025 13:41:26 +0000
