=== debian/control ===
Source: percona-pgvector
Section: database
Priority: optional
Maintainer: Percona Development Team info@percona.com
Build-Depends:
 debhelper (>= 9),
 percona-postgresql-server-dev-all (>= 153~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/pgvector/pgvector
Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git

Package: percona-postgresql-13-pgvector
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Open-source vector similarity search for Postgres
 Supports exact and approximate nearest neighbor search for L2 distance, inner
 product, and cosine distance.
