=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_installdocs:
	dh_installdocs --all README.*
